/*-------------------------------------------------------------------------*/
/**
 [Project ]: 프레임웍 기반 그룹웨어 시제품 개발
 [Date] : 1999. 9. 3
 [Source file]: com/etri/groupware/ResultStatus.java
 [Vesion] : 1.0
 */
/*--------------------------------------------------------------------------*/




package com.etri.groupware;

public class ResultStatus {
	private String reason;
	private int resultStatus;
	final static public int SUCCESS = 0;
	final static public int FAILURE = 1;
	
	public ResultStatus(){
		super();
	}
	
	public ResultStatus( int resultStatus ) {
		this.resultStatus = resultStatus;
	}
	
	public ResultStatus( int resultStatus, String reason ){
		this.resultStatus = resultStatus;
		this.reason = reason;
	}
	
	public String getReason(){
		return reason;
	}
	
	public int getResultStatus(){
		return resultStatus;
	}
	
	public void setReason(String reason){
		this.reason = reason;
	}
	
	public void setResultStatus(int resultStatus){
		this.resultStatus = resultStatus;
	}
}